## org.hibernate.transaction
Class WeblogicTransactionManagerLookup

    java.lang.Object
      org.hibernate.transaction.JNDITransactionManagerLookup
          org.hibernate.transaction.WeblogicTransactionManagerLookup

All Implemented Interfaces:
  TransactionManagerLookup

    public final class WeblogicTransactionManagerLookup

extends JNDITransactionManagerLookup

TransactionManager lookup strategy for WebLogic

Author:
  Gavin King

Constructor Summary
`WeblogicTransactionManagerLookup()`

Method Summary
`protected String` `getName()` Get the JNDI namespace under wich we can locate the `TransactionManager`.
`String` `getUserTransactionName()` Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

Methods inherited from class org.hibernate.transaction.JNDITransactionManagerLookup
`getTransactionIdentifier, getTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicTransactionManagerLookup

    public WeblogicTransactionManagerLookup()

Method Detail

### getName

    protected String getName()

  Description copied from class: `JNDITransactionManagerLookup`
  Get the JNDI namespace under wich we can locate the `TransactionManager`.

  Specified by:
    `getName` in class `JNDITransactionManagerLookup`
  Returns:
    The `TransactionManager` JNDI namespace
  See Also:
    `JNDITransactionManagerLookup.getName()`

### getUserTransactionName

    public String getUserTransactionName()

  Description copied from interface: `TransactionManagerLookup`
  Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

  Returns:
    The JNDI namespace where we can locate the `UserTransaction` for this platform.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.